Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.repository
Class UCMClearcaseRepositoryFacade

    java.lang.Object
      com.pmease.quickbuild.repository.UCMClearcaseRepositoryFacade

All Implemented Interfaces:
  java.io.Serializable

public class UCMClearcaseRepositoryFacade
extends java.lang.Object
implements java.io.Serializable

Facade class for UCMClearcaseRepository.

See Also:
  Serialized Form

Constructor Summary
`UCMClearcaseRepositoryFacade()`

Method Summary
`java.lang.String` | `getCleartoolExePath()` OGNL: Specify path to your cleartool executable file.
`java.lang.String` | `getLoginMappingName()` Choose login mapping for this repository.
`java.lang.String` | `getMkviewExtraOpts()` OGNL: You may optionally specify extra options for the cleartool mkview sub command used by QuickBuild to create related Clearcase snapshot view for the current project.
`java.lang.String` | `getModificationDetectionConfig()` OGNL: This property will only take effect when the What to build property equals to <latest>.
`java.util.List` | `getModules()`
`java.lang.String` | `getName()` Provide a name for this repository.
`java.lang.String` | `getProjectVob()` OGNL: Tag for the project vob, for example: \\pvob1.
`long` | `getQuietPeriod()` Number of seconds current repository should be quiet (without checkins) before QuickBuild decides to check out the code from this repository for a build.
`java.lang.String` | `getStream()` OGNL: Name of the UCM stream.
`java.lang.String` | `getViewStgLoc()` OGNL: Name of the Clearcase view storage location, which will be used as -stgloc option when creating Clearcase view for this project.
`java.lang.String` | `getVwsDir()` OGNL: This property is required only when the Clearcase view stgloc name property is empty.
`java.lang.String` | `getWhatToBuild()` OGNL: Specifies baselines you want to build inside the stream.
`void` | `setCleartoolExePath(java.lang.String cleartoolExePath)`
`void` | `setLoginMappingName(java.lang.String loginMappingName)`
`void` | `setMkviewExtraOpts(java.lang.String mkviewExtraOpts)`
`void` | `setModificationDetectionConfig(java.lang.String modificationDetectionConfig)`
`void` | `setModules(java.util.List modules)`
`void` | `setName(java.lang.String name)`
`void` | `setProjectVob(java.lang.String projectVob)`
`void` | `setQuietPeriod(long quietPeriod)`
`void` | `setStream(java.lang.String stream)`
`void` | `setViewStgLoc(java.lang.String viewStgLoc)`
`void` | `setVwsDir(java.lang.String vwsDir)`
`void` | `setWhatToBuild(java.lang.String whatToBuild)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UCMClearcaseRepositoryFacade

    public UCMClearcaseRepositoryFacade()

Method Detail

### getViewStgLoc

    public java.lang.String getViewStgLoc()

  OGNL: Name of the Clearcase view storage location, which will be used as -stgloc option when creating Clearcase view for this project.

### setViewStgLoc

    public void setViewStgLoc(java.lang.String viewStgLoc)

### getProjectVob

    public java.lang.String getProjectVob()

  OGNL: Tag for the project vob, for example: \\pvob1.

### setProjectVob

    public void setProjectVob(java.lang.String projectVob)

### getVwsDir

    public java.lang.String getVwsDir()

  OGNL: This property is required only when the Clearcase view stgloc name property is empty. If specified, it should be parent directory of .vws directory for created snapshot view. For example, if you specify \\\\server1\\dir1 here, QuickBuild will use \\\\server1\\dir1\\<view tag>.vws as the -vws option to create Clearcase view. Here <view tag> will be replaced by actual view tag. NOTE: This value should be a writable UNC path on Windows platform.

### setVwsDir

    public void setVwsDir(java.lang.String vwsDir)

### getStream

    public java.lang.String getStream()

  OGNL: Name of the UCM stream.

### setStream

    public void setStream(java.lang.String stream)

### getWhatToBuild

    public java.lang.String getWhatToBuild()

  OGNL: Specifies baselines you want to build inside the stream. Multiple baselines are separated by space.

### setWhatToBuild

    public void setWhatToBuild(java.lang.String whatToBuild)

### getModificationDetectionConfig

    public java.lang.String getModificationDetectionConfig()

  OGNL: This property will only take effect when the What to build property equals to <latest>. It is used by QuickBuild to determine, if there are any changes in the repository since the last build. This property consists of multiple entries with each entry per line. Each entry is of the format <path>:<branch>. <path> is a path inside a vob. This path should start from the vob name, for example: \\myvob\\modules\\mymodule. <branch> stands for name of the branch. For sub branches, you don't need to specify the names of any \"super\" branches, just the name of the actual branch is enough.

### setModificationDetectionConfig

    public void setModificationDetectionConfig(java.lang.String modificationDetectionConfig)

### getMkviewExtraOpts

    public java.lang.String getMkviewExtraOpts()

  OGNL: You may optionally specify extra options for the cleartool mkview sub command used by QuickBuild to create related Clearcase snapshot view for the current project. Options that can be specified here are restricted to -tmode, -ptime, and -cachesize. For example you can specify -tmode insert_cr to use Windows end of line text mode.

### setMkviewExtraOpts

    public void setMkviewExtraOpts(java.lang.String mkviewExtraOpts)

### getCleartoolExePath

    public java.lang.String getCleartoolExePath()

  OGNL: Specify path to your cleartool executable file. For example: /usr/local/bin/cleartool. It should be specified here, if it does not exist in the system path.

### setCleartoolExePath

    public void setCleartoolExePath(java.lang.String cleartoolExePath)

### getQuietPeriod

    public long getQuietPeriod()

  Number of seconds current repository should be quiet (without checkins) before QuickBuild decides to check out the code from this repository for a build. This is used to avoid checking out code in the middle of some other checkins. This property is optional. When set as 0, quiet period will not be used before checking out code to build.

### setQuietPeriod

    public void setQuietPeriod(long quietPeriod)

### getName

    public java.lang.String getName()

  Provide a name for this repository.

### setName

    public void setName(java.lang.String name)

### getModules

    public java.util.List getModules()

### setModules

    public void setModules(java.util.List modules)

### getLoginMappingName

    public java.lang.String getLoginMappingName()

  Choose login mapping for this repository. Login mapping is used to map repository login to QuickBuild user. It can be configured at \"login mappings\" tab of the configuration.

### setLoginMappingName

    public void setLoginMappingName(java.lang.String loginMappingName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.